/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.page.task.valueobject;

/**
 * 処理クラス [BlancoPdfPageDefCheckerProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoPdfPageDefCheckerProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 設定パス。
     *
     * フィールド: [confdir]。
     */
    private String fConfdir;

    /**
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * フィールド: [tmpdir]。
     * デフォルト: [tmp]。
     */
    private String fTmpdir = "tmp";

    /**
     * 厳格に座標を計算するかどうか。
     *
     * フィールド: [strictlocation]。
     * デフォルト: [false]。
     */
    private boolean fStrictlocation = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [confdir] の値を設定します。
     *
     * フィールドの説明: [設定パス。]。
     *
     * @param argConfdir フィールド[confdir]に設定する値。
     */
    public void setConfdir(final String argConfdir) {
        fConfdir = argConfdir;
    }

    /**
     * フィールド [confdir] の値を取得します。
     *
     * フィールドの説明: [設定パス。]。
     *
     * @return フィールド[confdir]から取得した値。
     */
    public String getConfdir() {
        return fConfdir;
    }

    /**
     * フィールド [tmpdir] の値を設定します。
     *
     * フィールドの説明: [テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。]。
     *
     * @param argTmpdir フィールド[tmpdir]に設定する値。
     */
    public void setTmpdir(final String argTmpdir) {
        fTmpdir = argTmpdir;
    }

    /**
     * フィールド [tmpdir] の値を取得します。
     *
     * フィールドの説明: [テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。]。
     * デフォルト: [tmp]。
     *
     * @return フィールド[tmpdir]から取得した値。
     */
    public String getTmpdir() {
        return fTmpdir;
    }

    /**
     * フィールド [strictlocation] の値を設定します。
     *
     * フィールドの説明: [厳格に座標を計算するかどうか。]。
     *
     * @param argStrictlocation フィールド[strictlocation]に設定する値。
     */
    public void setStrictlocation(final boolean argStrictlocation) {
        fStrictlocation = argStrictlocation;
    }

    /**
     * フィールド [strictlocation] の値を取得します。
     *
     * フィールドの説明: [厳格に座標を計算するかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[strictlocation]から取得した値。
     */
    public boolean getStrictlocation() {
        return fStrictlocation;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.page.task.valueobject.BlancoPdfPageDefCheckerProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",confdir=" + fConfdir);
        buf.append(",tmpdir=" + fTmpdir);
        buf.append(",strictlocation=" + fStrictlocation);
        buf.append("]");
        return buf.toString();
    }
}
